Link a course, download, or community into a space (staff)
POST /api/communities/{communityId}/spaces/{spaceId}/links. Link a course, download, or community into a space (staff). Headless LMS Communities API reference.
Owner or admin only. The link is added last. Linking the same content twice is a 409.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities/string/spaces/string/links" \ -H "Content-Type: application/json" \ -d '{ "contentId": "string" }'{ "orgId": "string", "id": "string", "communityId": "string", "name": "string", "description": "string", "seq": -9007199254740991, "accessRule": "all_members", "capacity": -9007199254740991, "settings": { "comments": true, "reactions": true, "requireReview": true }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "topics": [ { "orgId": "string", "id": "string", "spaceId": "string", "name": "string", "seq": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "links": [ { "orgId": "string", "id": "string", "spaceId": "string", "contentId": "string", "seq": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Replace the topics on a space (staff) PUT
PUT /api/communities/{communityId}/spaces/{spaceId}/topics. Replace the topics on a space (staff). Headless LMS Communities API reference.
Remove a link from a space (staff) DELETE
DELETE /api/communities/{communityId}/spaces/{spaceId}/links/{linkId}. Remove a link from a space (staff). Headless LMS Communities API reference.